Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.hotdeploy
Class MuleApplicationClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.mule.config.spring.hotdeploy.MuleApplicationClassLoader

    public class MuleApplicationClassLoader

extends URLClassLoader

Field Summary
`protected static URL[]` | `CLASSPATH_EMPTY`
`protected Log` | `logger`
`static String` | `PATH_CLASSES` Classes and resources directory in Mule application.
`static String` | `PATH_LIBRARY` Library directory in Mule application.

Constructor Summary
`MuleApplicationClassLoader(File monitoredResource, ClassLoader parentCl)`

Method Summary
`File` | `getMonitoredResource()`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_LIBRARY

    public static final String PATH_LIBRARY

  Library directory in Mule application.

  See Also:
    Constant Field Values

### PATH_CLASSES

    public static final String PATH_CLASSES

  Classes and resources directory in Mule application.

  See Also:
    Constant Field Values

### CLASSPATH_EMPTY

    protected static final URL[] CLASSPATH_EMPTY

### logger

    protected final transient Log logger

Constructor Detail

### MuleApplicationClassLoader

    public MuleApplicationClassLoader(File monitoredResource,
                                      ClassLoader parentCl)

Method Detail

### getMonitoredResource

    public File getMonitoredResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.